//
// Created by nicolas on 22/03/18.
//

#include <stdlib.h>
#include "utils/debug.h"
#include "utils/string.h"
#include "credentials.h"

esc_credentials_t* esc_credentials_create(const char* username, const char* password) {
    esc_credentials_t* creds = malloc(sizeof(struct st_esc_credentials));
    creds->username = string_copy(username);
    creds->password = string_copy(password);
    return creds;
}

void esc_credentials_destroy(esc_credentials_t* creds) {
    free((void*)creds->username);
    free((void*)creds->password);
    free(creds);
}
